# Forgejo role
Git server

## Notes 
- Requires the postgres role to be enabled on the same host.
- By default the forgejo server is installed without any users and without an
external authentication provider. To create the first (admin) user ssh into the
host and run `forgejo-cli admin user create --username $username --email $email --admin`
- To set up SSO go to the [admin panel](https://$DOMAIN/admin/auths).
- To change the initial user to use the new authentication source, go to the
[admin panel](https://$DOMAIN/admin/users).

## Options
### `forgejo.domain`
The domain used by forgejo.

## Secrets
### `forgejo/db_pass`
The password for the forgejo postgres database. This should be the same as 
`postgres/forgejo` on the same host.

### `forgejo/email_host`
The SMTP host for email. This is not necessarily secret, but here to keep all 
email settings collocated.

Example: `mail.example.com`

### `forgejo/email_port`
The SMTP port for email. This is not necessarily secret, but here to keep all 
email settings collocated. **Make sure to quote this value!**

Example: `587`

### `forgejo/email_from`
The from address used by forgejo. This is not necessarily secret, but here to keep all 
email settings collocated.

Example: `git@example.com`

### `forgejo/email_username`
The user used by forgejo to authenticate to the SMTP server.

Example: `git@example.com`

### `forgejo/email_password`
The password used by forgejo to authenticate to the SMTP server.

