# Traefik role
Reverse proxy for HTTP traffic.

## Notes
- Adds the `infra` tag to hosts that use it.
- Routes are collected from all hosts in the entire configuration automatically.
- To acquire wildcard certificates for a domain, its DNS must be at the
cloudflare user specified in the secrets.

## Options
### `traefik.wildcardDomains`
A list of all domains to acquire wildcard certificates for.

## Secrets
### `traefik/acmeEmail`
Email given to Let's Encrypt for notification emails.

Example: `email@example.com`

### `traefik/CLOUDFLARE_EMAIL`
Email used to authenticate to CloudFlare to set DNS for wildcard domain 
certificate challenge.

Example: `email@example.com`

### `traefik/CLOUDFLARE_DNS_API_TOKEN`
API key used to authenticate to CloudFlare to set DNS for wildcard domain
certificate challenge.

Example: AVeryLongAPIKeyHere
